Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Interface AssertionBuilder

All Known Implementing Classes:
  JaxbAssertionBuilder, NestedPrimitiveAssertionBuilder, PrimitiveAssertionBuilder, XMLPrimitiveAssertionBuilder

    public interface AssertionBuilder

AssertionBuilder is an interface used to build an Assertion object from a given xml element. Domain Policy authors write custom AssertionBuilders to build Assertions for domain specific assertions. Note that assertions can include nested policy expressions. To build these, it may be necessary to obtain other AssertionBuilders. Concrete implementations should access the AssertionBuilderRegistry as a Bus extension, so the registry need not passed as an argument here.

Method Summary
`org.apache.neethi.Assertion` | `build(org.w3c.dom.Element element)` Constructs an assertion from an xml element.
`org.apache.neethi.Assertion` | `buildCompatible(org.apache.neethi.Assertion a, org.apache.neethi.Assertion b)` Returns a new assertion that is compatible with the two specified assertions or null if no compatible assertion can be built.
`java.util.Collection<javax.xml.namespace.QName>` | `getKnownElements()` Returns a collection of QNames describing the xml schema types for which this builder can build assertions.

Method Detail

### build

    org.apache.neethi.Assertion build(org.w3c.dom.Element element)

  Constructs an assertion from an xml element.

  Parameters:
    `element` - the element from which to build an assertion
  Returns:
    an Assertion built from the given element

### getKnownElements

    java.util.Collection<javax.xml.namespace.QName> getKnownElements()

  Returns a collection of QNames describing the xml schema types for which this builder can build assertions.

  Returns:
    collection of QNames of known schema types

### buildCompatible

    org.apache.neethi.Assertion buildCompatible(org.apache.neethi.Assertion a,
                                                org.apache.neethi.Assertion b)

  Returns a new assertion that is compatible with the two specified assertions or null if no compatible assertion can be built.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF